Source: coffeescript
Severity: important

Dear maintainer,

your package fails to build from source with uglify version 2.4.13-1,
which is now in experimental and will be soon migrated to unstable.

Here a snip of buildlog:

chmod +x bin/cake
bin/cake build
bin/cake build
bin/cake build:browser

/tmp/buildd/coffeescript-1.4.0/Cakefile:139
 code = uglify.gen_code(uglify.ast_squeeze(uglify.ast_mangle(parser.parse(code
                                                                    ^
TypeError: Cannot call method 'parse' of undefined
    at Object.Rewriter [as action] 
(/tmp/buildd/coffeescript-1.4.0/Cakefile:139:74)
    at helpers.extend.invoke 
(/tmp/buildd/coffeescript-1.4.0/lib/coffee-script/cake.js:44:26)
    at Object.exports.run 
(/tmp/buildd/coffeescript-1.4.0/lib/coffee-script/cake.js:69:21)
    at Object.<anonymous> (/tmp/buildd/coffeescript-1.4.0/bin/cake:7:38)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)
    at startup (node.js:119:16)
debian/rules:55: recipe for target 'debian/stamp-build' failed
make: *** [debian/stamp-build] Error 8
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package


However, according with latest release of coffescript, it should be compatible
with uglifyjs 2.x:

https://github.com/jashkenas/coffeescript/blob/master/package.json



Thanks in advance,

Leo.

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to